#ifndef HEXAGON_H
#define HEXAGON_H

class Hexagon {

public:
    // Getters
    virtual Hexagon* getTop() const;
    virtual Hexagon* getTopRight() const;
    virtual Hexagon* getTopLeft() const;
    virtual Hexagon* getBottomRight() const;
    virtual Hexagon* getBottomLeft() const;
    virtual Hexagon* getBottom() const;

    // Others
    virtual void printHexagon() const;
    virtual void printTopLeft() const;
    virtual void printTop() const;
    virtual void printTopRight() const;
    virtual void printBottomRight() const;
    virtual void printBottom() const;
    virtual void printBottomLeft() const;
    virtual void printAll() const;
};

#endif // HEXAGON_H
